{
  "name": "qualiteer",
  "version": "0.0.1",
  "description": "QA Data Management",
  "license": "LGPL-2.1-only",
  "author": "Dunemask",
  "type": "module",
  "exports": {
    ".": "./lib/index.js",
    "./clients": "./lib/sockets/clients/index.js",
    "./web-clients": "./lib/sockets/clients/web.index.js"
  },
  "bin": {
    "qualiteer": "./dist/app.js"
  },
  "scripts": {
    "build:all": "npm run build:react && npm run build:executor",
    "build:executor": "node lib/jobs/executor/executor-bundler.js",
    "build:react": "vite build",
    "start": "node dist/app.js",
    "start:dev": "nodemon dist/app.js",
    "start:dev:replit": "npm run start:dev & npm run start:react:replit",
    "start:react": "vite preview",
    "start:react:replit": "vite --host",
    "test": "node tests/index.js",
    "test:api": "node tests/api.js",
    "test:dev": "nodemon tests/index.js",
    "lint": "prettier -w lib/ src/"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "dependencies": {
    "amqplib": "^0.8.0",
    "chalk": "^5.0.1",
    "dotenv": "^16.0.0",
    "express": "^4.17.2",
    "figlet": "^1.5.2",
    "moment": "^2.29.3",
    "path": "^0.12.7",
    "pg-promise": "^10.11.1",
    "postgres-migrations": "^5.3.0",
    "react-router-dom": "^6.3.0",
    "socket.io": "^4.4.1",
    "socket.io-client": "^4.4.1",
    "uuid": "^8.3.2"
  },
  "devDependencies": {
    "@emotion/react": "^11.9.0",
    "@emotion/styled": "^11.8.1",
    "@mui/icons-material": "^5.6.2",
    "@mui/material": "^5.6.4",
    "@rollup/plugin-commonjs": "^22.0.0",
    "@rollup/plugin-node-resolve": "^13.3.0",
    "@rollup/plugin-replace": "^4.0.0",
    "@vitejs/plugin-react": "1.1.1",
    "axios": "^0.27.2",
    "caxa": "^2.1.0",
    "nodemon": "^2.0.15",
    "prettier": "^2.7.1",
    "react": "^18.1.0",
    "react-dom": "^18.1.0",
    "readline-sync": "^1.4.10",
    "rollup": "^2.72.0",
    "rollup-plugin-terser": "^7.0.2",
    "vite": "2.7.0"
  },
  "optionalDependencies": {
    "rabbiteer": "gitlab:Dunemask/rabbiteer"
  },
  "proxy": "http://localhost:52000/"
}
